package stringers

// |@@| C

import (
	"gardening/src/lib"
	"gardening/src/mdl"
)

type PlantationStringer struct {
}

func (this *PlantationStringer) ToString(plantation *mdl.Plantation) (string, error) {
	if plantation == nil {
		return "", nil
	}
	return plantation.Name, nil
}
func (this *PlantationStringer) MustToString(entity *mdl.Plantation) string {
	s, err := this.ToString(entity)
	lib.Poe(err)
	return s
}
